import {BasicColumn, FormSchema} from '@/components/Table';

export const workColumn: BasicColumn[] = [
  {
    title: '参数名称',
    dataIndex: 'name',
    width: 150,
  },
  {
    title: '参数类型',
    dataIndex: 'type',
    width: 150,
  },
  {
    title: '参数值',
    dataIndex: 'value',
    width: 150,
  },
];
export const addModelFormSchema: FormSchema[] = [
  {
    label: '参数名称',
    field: 'name',
    required: true,
    component: 'Input',
  },
  {
    label: '参数类型',
    field: 'type',
    component: 'Select',
    componentProps: {
      options: [
        {
          label: '普通参数',
          value: '普通参数',
        },
        {
          label: '加密参数',
          value: '加密参数',
        },
      ],
    },
  },
  {
    label: '参数值',
    field: 'value',
    required: true,
    component: 'Input',
  },
];
